Subject: Re: bug#47264: [PATCH v2] pcre: migrate to pcre2

From: Jeffrey Walton <[email-masked]>
Date: Sun, 14 Nov 2021 17:44:53 -0500

On Sun, Nov 14, 2021 at 5:26 PM Carlo Arenas <[email-masked]> wrote:
> On Sun, Nov 14, 2021 at 12:45 PM Paul Eggert <[email-masked]> wrote:
> > ...
> using idx_t instead of size_t should be fine (if only halves the max
> size of the objects managed), but I am concerned that assuming
> PCRE2_SIZE_MAX is always equivalent to SIZE_MAX (as done in patch 4)
> might be risky (at least without a comment), and considering that is
> part of the API anyway might be better if kept as PCRE2_SIZE_MAX IMHO.

GNU Hurd may not have SIZE_MAX defined. The Hurd folks
{sometimes|often} want developers to make a runtime call for the
limit.

See docs like https://www.gnu.org/software/libc/manual/html_node/File-Minimums.html
and https://pubs.opengroup.org/onlinepubs/009695399/basedefs/limits.h.html.

Jeff